:root {
  --bg-primary: 202, 160, 92;
  --bg-2: 0, 0, 0;
  --color-primary: 202, 160, 92;
  --color-body: 0, 0, 0;

  /* --primary-color2: #ff9900; */
  /* --primary-color: #ee1b24;
	--primary-color2: #0f75bd;
	--color-title: #0f75bd;
	--color-icon: #0f75bd;
	--text-color: #212121;
	--border-color: #212121; */

  /* --font-family-base: 'Mont', sans-serif; */
  /* --font-family-heading: 'Marcellus'; */
  --title-item-module-font-size: 20px;
  --title-item-module-line-height: 27px;
}

/** Scroll bar */

.overflow-x {
  overflow-x: auto;
  border: 1px solid #e6e6e6;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: thin;
  scrollbar-color: rgb(var(--bg-primary)) #f1f1f1;
  scrollbar-gutter: stable;
}

.overflow-x::-webkit-scrollbar {
  height: 8px;
}

.overflow-x::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 4px;
}

.overflow-x::-webkit-scrollbar-thumb {
  background: rgb(var(--bg-primary));
  border-radius: 4px;
}

.overflow-x::-webkit-scrollbar-thumb:hover {
  background: rgb(var(--color-primary));
}

.overflow-x::-webkit-scrollbar-button {
  display: none !important;
  width: 0 !important;
  height: 0 !important;
  -webkit-appearance: none;
}
.overflow-x::-webkit-scrollbar-button:start:decrement,
.overflow-x::-webkit-scrollbar-button:end:increment {
  display: none !important;
}

/** Icon */

.icon-svg svg {
  width: 16px;
  height: 16px;
}

.icon-svg svg[width],
.icon-svg svg[height] {
  width: revert !important;
  height: revert !important;
}

/* Text */

.uppercase {
  text-transform: uppercase !important;
}

.text-bold {
  font-weight: 600;
}

.text-right {
  text-align: right;
}

.text-primary {
  color: rgb(var(--color-primary)) !important;
}

.text-color {
  color: var(--text-color);
}

.text-sm {
  display: none;
}

.text-middle {
  vertical-align: middle;
}

/** Button */

.bg-primary {
  background-color: rgb(var(--bg-primary)) !important;
}

.btn-primary {
  background-color: rgb(var(--bg-primary)) !important;
  border-color: rgb(var(--bg-primary)) !important;
}

.btn-ghost {
  border: 1px solid rgb(var(--bg-primary)) !important;
}

/* Background */

.background-css {
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  background-position: center;
}

.background-fixed-css {
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  background-position: center;
  background-attachment: fixed;
}

.background-fixed {
  background-attachment: fixed;
}

.background-over {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  opacity: 0.6;
}

/** input & diff */

.cursor {
  cursor: pointer;
}

.relative {
  position: relative;
}

.grid {
  display: grid;
}

.flex {
  display: flex;
}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center;
}

.line-through {
  text-decoration: line-through;
}

.color-primary {
  color: rgb(var(--color-primary));
}

.color-2 {
  color: rgb(var(--color-2));
}

.overflow-circle {
  overflow: hidden;
  border-radius: 50%;
}

.two-text-line {
  display: -webkit-box !important;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.form-group .title-input {
  margin-bottom: 5px;
}

.empty-elm {
  padding: 50px 0;
}

.header-logo img,
img.logo-header {
  max-height: 50px;
}

@media (max-width: 990px) {
  .container {
    max-width: 90%;
  }
}

@media (max-width: 767px) {
  .text-sm {
    display: block;
  }
}

/* box phản hồi */

.box-success,
.box-warning {
  padding: 10px;
  font-size: 20px;
  border-radius: 30px;
}

.box-success {
  background-color: #cff3cf;
}

.box-warning {
  background-color: #ffe595;
}

/* section */

.section-head {
  margin-bottom: 40px;
}

.section-second {
  text-transform: uppercase;
  color: rgb(var(--color-primary));
  font-size: 13px;
  margin-bottom: 10px;
  font-weight: 400;
}

.section-title {
  font-size: 30px;
  font-family: var(--font-family-heading);
  color: var(--text-color2);
  line-height: 39px;
  font-weight: 700;
}

.section-desc {
  margin-top: 15px;
  line-height: 23px;
}

[class*="module-"] {
  padding: 50px 0;
  position: relative;
  overflow: hidden;
}

[class*="module-"] .container {
  position: relative;
  z-index: 1;
}

[class*="module-"] .item .title {
  color: rgb(var(--color-2));
  font-family: var(--font-family-heading);
  font-size: var(--title-item-module-font-size);
  line-height: var(--title-item-module-line-height);
  font-weight: 600;
}

[class*="module-"] .item > div {
  position: relative;
}

[class*="module-"] .item .title + .desc {
  margin-top: 15px;
}

[class*="module-"] .item .desc {
  font-size: 14px;
  line-height: 22px;
}

[class*="module-"]:nth-child(2n) {
  /* background-color: #f9f9f9; */
}
[class*="module-"]:nth-child(2n + 1) {
  background-color: #f3f3f3;
}

.banner-section {
  padding: 0;
}

.section-desc p:last-child {
  margin-bottom: 0;
}

/* line element */

.title-line-box {
  margin-bottom: 30px !important;
  font-weight: 700;
  color: #000;
  font-size: 25px;
}

.title-line-box .title-line {
  width: 80px;
  border-bottom: 3px solid rgb(var(--color-primary));
  text-align: center;
  margin: 10px auto 0;
}

/* Svg loading */

.loading-svg {
  color: rgb(var(--color-2));
}

.loading-svg svg {
  width: 20px;
  height: 20px;
}

/** Layer */

.layer,
.over-layer {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(to bottom, #000000cc, rgb(6, 6, 6));
  color: #fff;
  /* opacity: 0; */
  transition: ease 0.3s;
}

.layer svg:not(.layer .youtube-play svg) {
  width: 40px;
  height: 40px;
  border: 1px solid #fff;
  border-radius: 50%;
  padding: 5px;
}

/* swiper */

.default-swiper {
  width: 100%;
  /* height: 300px; */
  margin-left: auto;
  margin-right: auto;
}

.swiper-slide {
  background-size: cover;
  background-position: center;
}

.swiper-thumnail {
  height: 20%;
  box-sizing: border-box;
  padding: 10px 0;
}

.swiper-thumnail .swiper-slide {
  width: 25%;
  height: 100%;
  opacity: 0.4;
}

.swiper-thumnail .swiper-slide-thumb-active {
  opacity: 1;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

[class^="swiper-button-"] {
  /* position: relative; */
  width: 55px;
  height: 55px;
  color: #ffffff;
  /* line-height: 55px; */
  /* text-align: center; */
  /* font-size: 22px; */
  margin-left: 2px;
  background-color: #222222;
  /* display: inline-block; */
}

[class^="swiper-button-"]:after {
  font-size: 20px;
}

@media (max-width: 1300px) {
  .container {
    max-width: 90%;
  }
}

/** Archive page css */

.page-all-item {
  padding-bottom: 50px;
}

.breadcrumb-section {
  padding: 150px 0;
}

.breadcrumb-section:before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgb(var(--bg-2));
  opacity: 0.6;
}

.breadcrumb-section .container {
  position: relative;
}

.breadcrumb-section * {
  color: #fff;
}

.breadcrumb-section .title-current + .breadcrumb {
  margin-top: 15px;
}

.breadcrumb-section .breadcrumb-item.active {
  color: #fff;
  /* rgb(var(--color-primary)); */
}

/*related post*/

.related-list {
  /* display: grid; */
  /* gap: 50px; */
  margin-top: 40px;
}

.related-list > div {
  margin-top: 50px;
}

.related-list .related {
  padding: 50px 0;
}

.related .title-line-box {
  margin-bottom: 30px !important;
  font-weight: 700;
  color: var(--text-color2);
  font-size: 30px;
  line-height: 30px;
  text-transform: CAPITALIZE;
}

.related .title-line-box .title-line {
  width: 80px;
  border-bottom: 3px solid rgb(var(--bg-primary));
  text-align: center;
  margin: 5px auto 0;
  padding-top: 8px;
}

.related .title-line-box {
  font-family: var(--font-family-heading);
}

.related:nth-child(2n) {
  background-color: #fff;
}

.related + .related {
  /*padding-top: 0;*/
}

.related-list .related:last-child {
  /* padding-bottom: 0; */
}

/* CSS Item Post, Product */

ul.post-seeding {
  display: flex;
  align-items: center;
  gap: 10px;
  list-style: none;
  padding: 0 !important;
  margin-bottom: 10px;
}

ul.post-seeding {
  display: flex;
  align-items: center;
  gap: 10px;
  list-style: none;
  padding: 0;
  margin-bottom: 10px;
}

ul.post-seeding .icon {
  color: var(--text-color2);
  margin-right: 5px;
}

ul.post-seeding li {
  position: relative;
  display: flex;
  align-items: center;
  gap: 3px;
  color: var(--text-color2);
}

ul.post-seeding li + li {
  padding-left: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
}

ul.post-seeding li + li:before {
  border-left: 1px solid #ccc;
  position: absolute;
  content: "";
  height: 18px;
  /* bottom: 0; */
  left: 0;
}

ul.post-seeding li .icon-svg {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 5px;
}

/*--- CSS page detail ---*/

.overflow-x table {
  border-left: unset;
}

.detail-page .content-body {
  padding: 50px 0;
  width: 100%;
  max-width: unset;
  margin-top: 10px;
  color: var(--text-color3);
}

.detail-page .content-body.has-related {
  padding-bottom: 0;
}

.detail-page .content-body table td,
th {
  border: 1px solid #ccc;
  padding: 10px;
}

.detail-page .content-body * + p {
  margin-top: 5px;
}

.detail-page .content-body .sapo {
  font-weight: 700;
  margin-bottom: 10px;
}

.detail-page .content-body ol,
.detail-page .content-body ul:not(.related ul),
.detail-page .content-body li:not(.related li) {
  list-style: revert;
  margin-bottom: 5px;
}

.detail-page .content-body ol,
.detail-page .content-body ul:not(.related ul) {
  margin-bottom: 20px;
  padding-left: 20px;
}

.content-box .tab-content h1,
.content-box .tab-content h2,
.content-box .tab-content h3,
.content-box .tab-content h4,
.content-box .tab-content h5,
.content-box .tab-content h6 {
  margin-bottom: revert;
}

.detail-page .content-body .post-content p {
  margin-bottom: 5px;
}

.detail-page .content-body .post-content img {
  margin: 0 auto;
  display: block;
  max-width: 100%;
  max-height: 100%;
  width: unset !important;
  height: unset !important;
}

.detail-page .content-body .post-content table[border="1"],
.detail-page .content-body .post-content table[border="1"] td {
  border: 1px solid;
}

.detail-page .content-body .post-content table[align="center"] {
  margin: auto;
  max-width: 100%;
  margin-bottom: 10px;
}

.detail-page .content-body .post-content table td {
  padding: 5px 10px;
  min-width: 50px;
}

/** Search page */

.search-page .data-box {
  padding: 50px 0;
}
